Private Endpoint Connections - Update
Werkt een privé-eindpuntverbinding bij.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
private
|
path | True |
string |
De naam van de privé-eindpuntverbinding. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
resource
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$ |
De naam van de beheerde clusterresource. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| properties.privateLinkServiceConnectionState | True |
Een verzameling informatie over de staat van de verbinding tussen service-consumer en provider. |
|
| properties.privateEndpoint |
De resource van een privé-eindpunt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De updatebewerking van de resource 'PrivateEndpointConnection' is geslaagd |
|
| 201 Created |
Resource 'PrivateEndpointConnection' create-bewerking geslaagd |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Update Private Endpoint Connection
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/privateEndpointConnections/privateendpointconnection1?api-version=2026-01-01
{
"properties": {
"privateLinkServiceConnectionState": {
"status": "Approved"
}
}
}
Voorbeeldrespons
{
"name": "privateendpointconnection1",
"type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
"properties": {
"privateEndpoint": {
"id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
},
"privateLinkServiceConnectionState": {
"status": "Approved"
},
"provisioningState": "Succeeded"
}
}
{
"name": "privateendpointconnection1",
"type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
"properties": {
"privateEndpoint": {
"id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
},
"privateLinkServiceConnectionState": {
"status": "Approved"
},
"provisioningState": "Succeeded"
}
}
Definities
| Name | Description |
|---|---|
|
Connection |
De verbindingsstatus van de Private Link-service. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Private |
Privé-eindpunt waartoe een verbinding behoort. |
|
Private |
Een privé-eindpuntverbinding |
|
Private |
De huidige inrichtingsstatus. |
|
Private |
De status van een private link-serviceverbinding. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
ConnectionStatus
De verbindingsstatus van de Private Link-service.
| Waarde | Description |
|---|---|
| Pending |
De verbinding wacht op goedkeuring. |
| Approved |
Aansluiting is goedgekeurd. |
| Rejected |
Verbinding wordt afgewezen. |
| Disconnected |
De verbinding is verbroken. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
PrivateEndpoint
Privé-eindpunt waartoe een verbinding behoort.
| Name | Type | Description |
|---|---|---|
| id |
string |
De resource-id van het privé-eindpunt |
PrivateEndpointConnection
Een privé-eindpuntverbinding
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.privateEndpoint |
De resource van een privé-eindpunt. |
|
| properties.privateLinkServiceConnectionState |
Een verzameling informatie over de staat van de verbinding tussen service-consumer en provider. |
|
| properties.provisioningState |
De huidige inrichtingsstatus. |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
PrivateEndpointConnectionProvisioningState
De huidige inrichtingsstatus.
| Waarde | Description |
|---|---|
| Canceled |
De provisioning van de verbinding met privé-endpoints werd geannuleerd. |
| Creating |
Er wordt een privé-eindverbinding gemaakt. |
| Deleting |
De verbinding met het privé-eindpunt wordt verwijderd. |
| Failed |
Het provisioneren van de verbinding met privé-endpoint mislukte. |
| Succeeded |
Het provisioneren van de verbinding met privé-eindpunten is geslaagd. |
PrivateLinkServiceConnectionState
De status van een private link-serviceverbinding.
| Name | Type | Description |
|---|---|---|
| description |
string |
De beschrijving van de private link-serviceverbinding. |
| status |
De verbindingsstatus van de Private Link-service. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |